WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] [closed] [Plugin: Polldaddy Polls] PHP error on activation & every admin page (8 posts)

  1. Ryan Markel
    Member
    Posted 5 years ago #

    When activating PollDaddy, I currently receive the following error:

    Warning: Constants may only evaluate to scalar values in /usr/www/users/pl389/whatever.com/wp-content/plugins/polldaddy/polldaddy.php on line 35

    On deactivation, I receive the same error and this one as well:

    Warning: Cannot modify header information - headers already sent by (output started at /usr/www/users/pl389/ryan.themarkelfamily.com/wp-content/plugins/polldaddy/polldaddy.php:35) in /usr/www/users/pl389/ryan.themarkelfamily.com/wp-includes/pluggable.php on line 848

    The top error appears above every admin page when PollDaddy is activated.

    For reproduction purposes, I am running the following plugins as well:

    • Akismet
    • Amazon Reloaded for WordPress
    • FeedBurner FeedSmith
    • Flickr Photo Album
    • IntenseDebate
    • Twitter Tools
    • WordPress.com Stats
    • wp-cache

    All plugins are run using svn:externals to pull trunk versions, except for ID and FeedSmith, which are updated manually.

  2. Michael Adams (mdawaffe)
    Member
    Posted 5 years ago #

    Did you ever get to the point of putting in your PollDaddy email address and password (and did you do it)?

    What version of PHP are you using?

    The plugin hasn't been tested much in WordPress 2.7 yet, so that could be the problem too. I plan on getting the plugin working with 2.7 by the time 2.7 is released.

  3. Ryan Markel
    Member
    Posted 5 years ago #

    I can get to the password entry panel, but no matter what I enter, nothing happens. Putting in a valid login doesn't seem to set the login, and putting in a known bad login doesn't throw an error message of any kind.

    My PHP version is 5.2.6.

    I ran svn update just now and noticed the PD plugin had been updated, but it doesn't have any effect. I'll be happy to continue providing feedback in a 2.7 environment if you would like.

  4. Ryan Markel
    Member
    Posted 5 years ago #

    MDA,

    I just received the update to the PD plugin version 0.8. I no longer receive the error message at the top of each admin panel, but the PollDaddy account information screen doesn't respond to my entering an email address and password.

    Just FYI.

  5. mikedibenedetto
    Member
    Posted 5 years ago #

    is the polldaddy plugin working on wp 2.7? i can't get it to work at all.

  6. kristanlh
    Member
    Posted 5 years ago #

    I get this message when I try to input my username/password after installation:

    Catchable fatal error: Object of class WP_Error could not be converted to string in /home/phuzzymath/www/jbu/wp-content/plugins/polldaddy/polldaddy-xml.php on line 57

    Help?

  7. bonniekirk
    Member
    Posted 5 years ago #

    Last night I sent PollDaddy support a question because I am also getting the Catchable fatal error. This morning I got this reply:

    We are about to launch a new version of that plugin on Monday hopefully. It should fix any issues you have be experiencing.

    This was a prompt response, so I'm hopeful. I'm going to leave my plugin installed so WordPress will inform me when an update is available.

    Moderators: there is another thread on this same issue. I am also posting this reply there.

  8. Michael Adams (mdawaffe)
    Member
    Posted 5 years ago #

    Eoin and I have updated the plugin to version 1.0. It fixes all known bugs. Please upgrade. If things still don't work for you, please let PollDaddy know:

    http://www.polldaddy.com/feedback/

    or tell us here on these forums:

    http://wordpress.org/tags/polldaddy?forum_id=10#postform

Topic Closed

This topic has been closed to new replies.

About this Topic